# Welcome to Web!tel SQL4Dialer Standalone API Service

Based on a high-productivity [Revel](http://revel.github.io) web framework for the [Go language](http://www.golang.org/).
* The [Getting Started with Revel](http://revel.github.io/tutorial/gettingstarted.html).
* The [Revel guides](http://revel.github.io/manual/index.html).
* The [Revel sample apps](http://revel.github.io/examples/index.html).
* The [API documentation](https://godoc.org/github.com/revel/revel).

-----

# Install Windows

Just download and unpach archive [**sql4dialer.goweb.winamd64.zip**](https://git.webitel.com/projects/WTEL/repos/sql4dialer.web/browse/prod/sql4dialer.goweb.winamd64.zip) into, for example `C:\Program Files\Webitel\SQL4Dialer`

## Register as a service

```bat
"C:\Program Files\Webitel\SQL4Dialer\sql4dialer.exe" --install
```

## Unregister service

```bat
"C:\Program Files\Webitel\SQL4Dialer\sql4dialer.exe" --uninstall
```

# Install Linux

```sh
# super
sudo -s
# location
WD=/opt/webitel
# get into
mkdir -p $WD && cd $WD

# download standalone sql4dialer web service
wget -O sql4dialer.web-linux-amd64.zip \
https://git.webitel.com/projects/WTEL/repos/sql4dialer.web/raw/prod/sql4dialer.web-linux-amd64.zip
# extract archive
unzip -q sql4dialer.web-linux-amd64.zip
# cleanup archive
rm sql4dialer.web-linux-amd64.zip

# /opt/webitel/sql4dialer
cd sql4dialer

# download executable sql4diler command tool
mkdir -p bin && cd bin # /opt/webitel/sql4dialer/bin
wget -O sql4dialer \
https://git.webitel.com/projects/WTEL/repos/sql4dialer/raw/build/linux-x64/sql4dialer\?at\=refs/heads/netcore-3.1
cd - # opt/webitel/sql4dialer
```

## Register UNIT

```sh
# register and startup service
sudo /opt/webitel/sql4dialer/install.sh
# service current status
systemctl status sql4dialer
```

## Unregister UNIT

```sh
# stop and remove service
sudo /opt/webitel/sql4dialer/uninstall.sh
```

# Start once the web server

```sh
# linux
/opt/webitel/sql4dialer/run.sh

# windows
"C:\Program Files\Webitel\SQL4Dialer\run.bat"
```

## Go to http://localhost:9000/sql4dialer and you'll see:
```json
{"result":[]}
```

# Directory Layout


    conf/             Configuration directory
        app.conf      Main configuration file
        ------------- Configuration directives
        http.addr =   # localhost
        http.port =   9000 # default
    
    bin/              Executable command tool
        ...
    
    run/              Runtime files directory
        *.import.cfg  Import members configuration file
        *.import.log  Import members single operation log
        *.export.cfg  Export statistics configuration file
        *.export.log  Export statistics single operation log
    
    log/              Web server logs directory