#!/bin/sh
# set -x

GOOS=$(go env GOOS)
GOARCH=$(go env GOARCH)
# MODULE="webitel.com/sql4dialer" # go.mod (module: *)
TARGET="build/$GOOS-$GOARCH/sql4dialer" # relative path

# revel distribution
revel build $PWD $TARGET -m prod
# clear bootstrap
cd $TARGET; ls --hide=src | xargs rm; cd -
# pull out to the app working directory !
# moving default revel config and templates ...
mv -f -t $TARGET $TARGET/src/*
# cleanup structure
rm -r $TARGET/src

# rebuild executable to add optional +windows service support (!)
go build -o ${TARGET}/sql4dialer.web ./cmd

# configure
cp -r conf $TARGET # copy default config: app.conf, routes
# cp -f cmd/build/* $TARGET # copy general configuration
cp -rf cmd/build/$GOOS/* $TARGET # copy platform specific utils

# (!) Download executable sql4dialer command tool, later ...
# mkdir bin 

# publish.sh